
# Aliyun OSS C SDK Demo

## 关于
基于Aliyun OSS C SDK的示例工程。oss-c-sdk-demo-specified-installation示例基于OSS C SDK及依赖的第三方库，都安装在`/home/your/oss/csdk`下；其它示例工程是基于OSS C SDK及依赖的第三方库，安装在默认目录下，即安装时不指定目录。

- oss-c-sdk-demo-centos  Aliyun/CentOS下，基于默认安装路径的OSS C SDK示例工程
- oss-c-sdk-demo-debian  Debian下，基于默认安装路径的OSS C SDK示例工程
- oss-c-sdk-demo-redhat  RedHat下，基于默认安装路径的OSS C SDK示例工程
- oss-c-sdk-demo-suse  SuSE下，基于默认安装路径的OSS C SDK示例工程
- oss-c-sdk-demo-ubuntu  Ubuntu下，基于默认安装路径的OSS C SDK示例工程 
- oss-c-sdk-demo-specified-installation  Linux下，基于自定义安装目录的OSS C SDK示例工程

OSS C SDK及依赖库的安装，请参看 [Aliyun OSS C SDK 安装](https://help.aliyun.com/document_detail/32132.html)；  
示例工程的详细说明，请参看 [Linux下使用Aliyun OSS C SDK](https://yq.aliyun.com/articles/60924) 。

## 版本
当前版本：0.3.0

## 使用
进入工程目录(oss-c-sdk-demo-xxx),执行`make`，编译示例工程；执行`make clean`清理编译产生的文件；执行`./main`运行可执行程序。

> 提示：
> - 示例代码中的OSS_ENDPOINT、ACCESS_KEY_ID、ACCESS_KEY_SECRET、BUCKET_NAME请更换成有效值；
> - 如果OSS C SDK及依赖库的动态库不在系统目录下，执行时用`LD_LIBRARY_PATH`指定。

## 协议
MIT
